
QGIS Application - Bug report #20217

QGIS crashes while editing layer

2018-10-25 08:29 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Editing

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28038

Description

User Feedback

I was copying features from a mapinfo .tab 2D point layer to a postgis table. Features got pasted successfully.

Then before I saved the features, i edit a field for the selected features: a kind of fieldA=fieldB and kaboom!!!

Report Details

Crash ID: 88d7199edabda7379848c275a39bcccc7388fdf2

Stack Trace

QModelIndex::flags :

QAbstractItemView::currentChanged :

QMetaObject::activate :

QItemSelectionModel::`default constructor closure' :

QItemSelectionModel::qt_static_metacall :

QMetaObject::activate :

QAbstractItemModel::beginRemoveRows :

QSortFilterProxyModel::removeRows :

QSortFilterProxyModel::sortRole :

QSortFilterProxyModel::`default constructor closure' :

QMetaObject::activate :

QAbstractItemModel::beginRemoveRows :

QgsLayoutView::mouseReleaseEvent :

QgsLayoutView::mouseReleaseEvent :

QgsLayoutView::mouseReleaseEvent :

QgsLayoutView::mouseReleaseEvent :

QgsLayoutView::mouseReleaseEvent :

QMetaObject::activate :

QgsMeshRendererVectorSettings::maxShaftLength :

QgsMeshRendererVectorSettings::maxShaftLength :

QgsMeshRendererVectorSettings::maxShaftLength :

QgsMeshRendererVectorSettings::maxShaftLength :

QgsMeshRendererVectorSettings::maxShaftLength :

QMetaObject::activate :

QgsMeshRendererVectorSettings::maxShaftLength :

QgsMeshRendererVectorSettings::maxShaftLength :

QgsMeshRendererVectorSettings::maxShaftLength :

QgsHandleBadLayers::qt_metacall :

QgsHandleBadLayers::qt_metacall :

QgsHandleBadLayers::qt_metacall :

QgsHandleBadLayers::qt_metacall :

QgsHandleBadLayers::qt_metacall :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :
QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsMeshRendererVectorSettings::maxShaftLength :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsMeshRendererVectorSettings::maxShaftLength :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

QgsHandleBadLayers::qt_metacall :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.3.0-Master

QGIS code revision: commit:302529a10c

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-10-25 08:47 PM - Harrissou Santanna

I think I might have run the calculation then got the crash when I pressed the "Save modifications" button because despite the crash I can see the changes

in the DB.

#2 - 2018-11-08 01:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#3 - 2019-02-11 04:16 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
